Mandriva Linux 安全性公告:openssl (MDVSA-2012:007)

high Nessus Plugin ID 61942

Synopsis

遠端 Mandriva Linux 主機缺少一或多個安全性更新。

描述

已找到並更正 openssl 中的多個弱點:

在 0.9.8s 之前的 OpenSSL 和 1.0.0f 之前的 1.x 中,DTLS 實作只會在特定填補有效時執行 MAC 檢查,這會允許遠端攻擊者更容易透過 padding oracle 攻擊復原純文字 (CVE-2011-4108)。

在 0.9.8s 之前的 OpenSSL 0.9.8 中,在 X509_V_FLAG_POLICY_CHECK 啟用時,重複釋放弱點會允許遠端攻擊者觸發原則檢查失敗,進而造成不明影響 (CVE-2011-4109)。

在 0.9.8s 之前的 OpenSSL 和 1.0.0f 之前的 1.x 中,SSL 3.0 實作未正確初始化區塊加密填補的資料結構,這可能會允許遠端攻擊者傳送 SSL 對等端來解密填補資料,藉此取得敏感資訊 (CVE-2011-4576)。

在 0.9.8s 之前的 OpenSSL 和 1.0.0f 之前的 1.x 中,Server Gated Cryptography (SGC) 實作未正確處理交握重新啟動,這會允許遠端攻擊者透過不明向量引發拒絕服務 (CVE-2011-4619)。

在 1.0.0f 版之前的 OpenSSL 中,GOST ENGINE 未正確處理 GOST 區塊加密的無效參數,這會讓遠端攻擊者透過 TLS 用戶端的特製資料,造成拒絕服務 (程序損毀) (CVE-2012-0027)。

已修補更新版套件,以更正這些問題。

解決方案

更新受影響的套件。

另請參閱

https://www.openssl.org/news/secadv/20120104.txt

Plugin 詳細資訊

嚴重性: High

ID: 61942

檔案名稱: mandriva_MDVSA-2012-007.nasl

版本: 1.9

類型: local

已發布: 2012/9/6

已更新: 2021/1/6

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: High

基本分數: 9.3

時間分數: 8.1

媒介: AV:N/AC:M/Au:N/C:C/I:C/A:C

時間媒介: E:ND/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:mandriva:linux:lib64openssl-devel, p-cpe:/a:mandriva:linux:lib64openssl-engines1.0.0, p-cpe:/a:mandriva:linux:lib64openssl-static-devel, p-cpe:/a:mandriva:linux:lib64openssl1.0.0, p-cpe:/a:mandriva:linux:libopenssl-devel, p-cpe:/a:mandriva:linux:libopenssl-engines1.0.0, p-cpe:/a:mandriva:linux:libopenssl-static-devel, p-cpe:/a:mandriva:linux:libopenssl1.0.0, p-cpe:/a:mandriva:linux:openssl, cpe:/o:mandriva:linux:2011

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2012/1/16

參考資訊

CVE: CVE-2011-4108, CVE-2011-4109, CVE-2011-4576, CVE-2011-4619, CVE-2012-0027

BID: 51281

MDVSA: 2012:007